/* Static Model */
package sams;


import sams.ErrorQueueInterface;
import sams.XMLDocumentInstance;
/* Generic specifier for Adapter construct. */
public interface AdapterInterface
{
	/* Method returns the function or method name pertaining to the type of adapter to be called or invoked. */
	public abstract char GetFunctionString(XMLDocumentInstance XMLMessagePacket);
	/* Processes the request by invoking the method, this methods accept the entire XML  load as parameter and processed it through the adapter to generate the format for FTP file for particular business function. */
	public abstract XMLDocumentInstance ProcessLoad(XMLDocumentInstance XMLMessageLoad);
	/* Sets the error queue reference, once it is initialized at start up. */
	public abstract boolean SetErrorQueueReference(ErrorQueueInterface ErrorQueueReference);

}
/* END CLASS DEFINITION AdapterInterface */
