/* Static Model */
package sams;


import sams.XMLDocumentInstance;
/* Uses XSLT processor for data transformation, and hence provides system wide utility functions. */
public interface DataTransformInterfaces
{
	/* Processes the transform request. The XML document passed is transfromed with respect to the XSLT URI referenced in the second parameter. Teh method returns the transform results in XML message packet body or load. */
	public abstract XMLDocumentInstance ProcessTransformRequest(XMLDocumentInstance XMLPacket,
															 char XSLTURI);
	/* Method to tie up the reference to XSLT processor used. */
	public abstract boolean RegisterXSLTProcessor(XMLDocumentInstance XSLTProcessorParams);

}
/* END CLASS DEFINITION DataTransformInterfaces */
